Page MenuHomePhabricator

Create MediaWiki messages to say {{int:Hello}} and {{int:Thank-you}}
Closed, ResolvedPublic

Description

A lot of messages on wiki begin with a greeting, e.g., "Hello" and end with an expression of thanks, e.g., "Thank you". Some software components also use these phrases. I would like to have standard, simple "Hello" and "Thank you" added to MediaWiki.

It should work basically like the popular new addition, {{int:please-translate}} of T93782: Request a new MediaWiki label, [[MediaWiki:Please-translate]]. "Thank you" needs to have a gender switch. I'm not sure whether "Hello" also needs one.

Examples:

(via https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikimediaMessages.git/master/i18n%2Ftemporary%2Fen.json#L9 )

(via https://git.wikimedia.org/blob/mediawiki%2Fcore.git/master/languages%2Fi18n%2Fen.json#L3887 )

Use-cases:

  • Massmessage announcements, that are typically drafted in a page at metawiki or mediawiki, and translated (into a small number of languages) there. {{int:please-translate}} helps at all the local wikis that don't translate before the message is sent.
  • Single messages not sent via Massmessage, but still in one or more "foreign" (to the writer) languages.
  • (minor) Being able to put the proposed {{int:hello}} on our global user pages.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 6 2016, 6:08 PM
Elitre added a comment.Jun 7 2016, 5:34 AM

"Thank you" exists though, AFAIK? {{Int:Feedback-thanks-title}} .

"Thank you" exists though, AFAIK? {{Int:Feedback-thanks-title}} .

I would love to have a redirect :)

It should be good first bug. The previous (similar) one was marked that way.

"Thank you" exists though, AFAIK? {{Int:Feedback-thanks-title}} .

That's part of an extension (or some similarly separate bit of software), and I don't know if we can guarantee that it will continue to exist (e.g., in 2050) or be installed everywhere. I want these basic messages in "core", with no dependencies except the existence of MediaWiki itself.

Also, I don't know if it handles $GENDER correctly. "Thank you (sir)" isn't ideal in languages that use different words for "you men" and "you women".

Bawolff added a subscriber: Bawolff.Jun 9 2016, 9:19 PM

I don't understand the use case. For use in mediawiki extensions/core, every use should be a different message, as reusing messages can lead to problems in regards to different languages doing things differently.

If you're talking about for normal editors, or when doing mass messages, I suppose it could be something added to WikimediaMessages extension...

I would be opposed to adding this to core.

That's part of an extension (or some similarly separate bit of software), and I don't know if we can guarantee that it will continue to exist (e.g., in 2050) or be installed everywhere

I'm surprised that message still exists. Anyone actually even use that extension?

Quiddity updated the task description. (Show Details)Jun 9 2016, 9:43 PM

I don't understand the use case. For use in mediawiki extensions/core, every use should be a different message, as reusing messages can lead to problems in regards to different languages doing things differently.

Yes, mass messages are the main use-case, but also messages sent to single (or small numbers of wikis) which get "delivered" manually (without MassMessage itself).
I've updated the description, with that info, and links to the existing examples (and code sources).
I might be forgetting other use-cases?

If you're talking about for normal editors, or when doing mass messages, I suppose it could be something added to WikimediaMessages extension...

That sounds logical.
(The concern above is based on {{int:please-translate}} being stored in the "temporary" subfolder ( /extensions/WikimediaMessages.git/i18n/temporary/en.json), which worries those of us who don't understand the significance of "temporary" :-) I would optimistically guess that it might mean: Whoever added the strings in that file, wasn't sure whether to create a new permanent group, or to add the strings to one of the existing groups?

I would be opposed to adding this to core.

Here you've got to translate non-developer-speak! "Core" to non-developers in a case like this means things like: it'll "just work" on private wikis, (officewiki, collabwiki, etc) without having to install an extension like MassMessage there.

That's part of an extension (or some similarly separate bit of software), and I don't know if we can guarantee that it will continue to exist (e.g., in 2050) or be installed everywhere

I'm surprised that message still exists. Anyone actually even use that extension?

Exactly! The five billion folders of mediawiki, are an even deeper mystery to us non-devs. ;-)

Whatamidoing-WMF added a comment.EditedJun 9 2016, 10:28 PM

I'm surprised that message still exists. Anyone actually even use that extension?

And the "Nobody's using that extension, so the message that is now used on talk pages at several hundred WMF wikis could disappear or break at any moment" is exactly why I want to stop using it and start using one whose permanence and ubiquity can be reasonably guaranteed.

Should also add a fullstop to the {{int:please-translate}} string, and possibly a trailing space? Per suggestion in translators-l list.
(Just noting here, in case we use this task for a full re-examination of these strings).

MarcoAurelio triaged this task as Low priority.Jul 31 2016, 8:37 PM

I will work on a patch for this, but that does not mean it'll get approved :)

I will also amend the "please-translate" message in a separate patch.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 31 2016, 8:37 PM
Keegan awarded a token.Aug 1 2016, 2:01 AM
TTO added a subscriber: TTO.EditedDec 8 2016, 12:20 PM

It would help to review the patch if someone could provide one or more complete examples of a mass message or other item of content where these messages would be used. I, for one, am having trouble picturing the precise context for these messages.

Johan added a subscriber: Johan.Dec 8 2016, 12:37 PM

https://meta.wikimedia.org/wiki/Community_Tech/Community_Wishlist_Survey/Invitation for example. Distributed to a whole bunch of community pages on wikis where we didn't have translations for the local language.

TTO added a comment.Dec 8 2016, 12:50 PM

https://meta.wikimedia.org/wiki/Community_Tech/Community_Wishlist_Survey/Invitation for example. Distributed to a whole bunch of community pages on wikis where we didn't have translations for the local language.

That message uses the phrases "Hi everyone!" and "Thank you for participating", which are not proposed to be added as translatable messages.

I may sound like I'm being pedantic, but I really think the use cases for these messages need to be carefully considered. Do we need additional messages whose English text is "Hi everyone" and "Thank you for your participation"? If we don't have such messages, and {{int:hello}} and {{int:thank-you}} are used in their place, message authors will lose the ability to write in differing registers and tones, and to thank people for doing something as opposed to just saying "Thank you" by itself.

Johan added a comment.EditedDec 8 2016, 1:03 PM

I don't really see how we'd lose any ability to use different registers, given that nothing would be taken away from us. I could still have used "Hi everyone!" – no one is forcing me to not just write it in English – but I would have preferred to say {{int:hello}}.

To explain the use case I personally see here: If you try to reach out with something that's relevant for all or a large number of our wikis but where we – as always – lack translations for most of them, it helps if the message is seen as at least trying to pay attention to the fact that everyone doesn't speak English. English messages easily come across as alien, something that doesn't belong. Not necessarily because we can't understand them – almost everyone on my home wiki can to some degree, for example, even though it's a non-English wiki – but because they're so obviously something from the outside. Being able to start with a greeting in more local languages would allow me to be able to signal that it's relevant for that wiki, too, that we're not just ignoring the fact that this isn't their language.

TTO added a comment.Dec 8 2016, 1:26 PM

I could still have used "Hi everyone!" – no one is forcing me to not just write it in English

Of course not, but with only these messages available, you are facing a choice between internationalisation or the use of a friendly, casual tone. You wouldn't be able to have both.

Johan added a comment.Dec 8 2016, 2:52 PM

This is true, but as an argument against {{int:hello}}, I can't help but thinking it sounds like making perfect the enemy of the good. We're not going to get internationalization options for everything, but having at least one greeting to use in those contexts would be a good step forward. At the moment, I don't even have the choice between them.

@TTO, your reasons sound like a request to have several options for each concept. They do not sound like a reason to have zero options. If you want more (I won't object), then that should probably be a separate task.

To add to the use cases, I and other editors sometimes use the {{thank you}} template (whatever the local equivalent is) when we're talking to people at other wikis. See this example. However, that template is only available on about 35 wikis. It'd be nice to have something that works everywhere and that doesn't require me to spend two minutes figuring out if it exists and what its local name is.

TTO added a comment.Dec 8 2016, 11:19 PM

@TTO, your reasons sound like a request to have several options for each concept. They do not sound like a reason to have zero options. If you want more (I won't object), then that should probably be a separate task.

Fair enough! I was mainly concerned that these particular strings weren't really what people actually wanted, but perhaps I was mistaken. If you can confirm for me that having no punctuation after "Hello" is OK, then I'll merge the patch.

No punctuation after "Hello" works for me. I'm mostly going to use it on Latin-based languages, so omitting puncutation leaves me some flexible options, like {{int:Hello}}, everyone and {{int:Hello}}!.

Change 302197 merged by jenkins-bot:
Creating {{int:hello}} and {{int:thank-you}} messages for WMF sites

https://gerrit.wikimedia.org/r/302197

TTO closed this task as Resolved.Dec 9 2016, 2:10 AM
TTO assigned this task to MarcoAurelio.

Feel free to request additional strings for different tones/registers if you would like them.

MarcoAurelio moved this task from Backlog to Done on the good first bug board.
Johan awarded a token.Dec 12 2016, 4:38 PM